=head1 NAME

GStreamer::PadTemplate

=cut

=head1 HIERARCHY

  Glib::Object
  +----GStreamer::Object
       +----GStreamer::PadTemplate



=cut


=head1 METHODS

=head2 padtemplate = GStreamer::PadTemplate-E<gt>B<new> ($name_template, $direction, $presence, $caps)

=over

=item * $name_template (string) 

=item * $direction (GStreamer::PadDirection) 

=item * $presence (GStreamer::PadPresence) 

=item * $caps (GStreamer::Caps) 

=back

=head2 caps = $templ-E<gt>B<get_caps> 

=head2 paddirection = $templ-E<gt>B<get_direction> 

=head2 string = $templ-E<gt>B<get_name_template> 

=head2 $templ-E<gt>B<pad_created> ($pad)

=over

=item * $pad (GStreamer::Pad) 

=back

=head2 padpresence = $templ-E<gt>B<get_presence> 



=cut


=head1 PROPERTIES

=over

=item 'caps' (GStreamer::Caps : default undef : readable / writable / construct-only / private)

The capabilities of the pad described by the pad template

=item 'direction' (GStreamer::PadDirection : default "unknown" : readable / writable / construct-only / private)

The direction of the pad described by the pad template

=item 'name-template' (string : default undef : readable / writable / construct-only / private)

The name template of the pad template

=item 'presence' (GStreamer::PadPresence : default "always" : readable / writable / construct-only / private)

When the pad described by the pad template will become available

=back



=cut


=head1 SIGNALS

=over

=item B<pad-created> (GStreamer::PadTemplate, GStreamer::Pad)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum GStreamer::PadDirection

=over

=item * 'unknown' / 'GST_PAD_UNKNOWN'

=item * 'src' / 'GST_PAD_SRC'

=item * 'sink' / 'GST_PAD_SINK'

=back


=head2 enum GStreamer::PadPresence

=over

=item * 'always' / 'GST_PAD_ALWAYS'

=item * 'sometimes' / 'GST_PAD_SOMETIMES'

=item * 'request' / 'GST_PAD_REQUEST'

=back




=cut


=head1 SEE ALSO

L<GStreamer>, L<Glib::Object>, L<GStreamer::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

